<?php
/***************************************************************************
			   موديول معرض الصور لمجلة البوابة العربية
			   برمجة عبقري العرب || موقع دار الاوائل
			www.arabiaone.org (arabgenius@hotmail.com)
***************************************************************************/

if (RUN_MODULE !== true)
{
    die ("<center><h3>عفوا هذه العملية غير مشروعة</h3></center>");
}

include("modules/gallery/config.php");
include("modules/gallery/functions.php");

$member_group = $apt->cookie['cgroup'];
$member_un   = $apt->format_data($apt->cookie['cname']);
$member_id = $apt->format_data($apt->cookie['cid']);
$member_ip   = $apt->ip;

$allow_me = in_array($member_group,$allow_upload);
if(!$allow_me){
$apt->errmsg("عفوا ... لا يسمح لك بالدخول الى صفحة تحميل الصور");
}else{

$allow_ext = array('.gif','.png','.jpg');
$allow_types = array('image/jpeg', 'image/jpg', 'image/pjpeg', 'image/png', 'image/x-png', 'image/gif');

//================================================================
$submit  = $apt->post['submit'];

if($submit)
{

$imgtitle 	= $apt->format_data(trim($apt->post["imgtitle"]));
$imgdesc 	= $apt->format_data(trim($apt->post["imgdesc"]));
$catno 	= $apt->post["catno"];
if($member_group == 3){
$usermail 	= $apt->post["usermail"];
if (!$apt->check_email($usermail)){
$apt->errmsg(LANG_ERROR_VALID_EMIAL);
}
}
$file 	= $apt->files["cfile"]["tmp_name"];
$realname 	= $apt->files["cfile"]["name"];
$type 	= $apt->files["cfile"]["type"];
$size 	= $apt->files["cfile"]["size"];
$ext  	= strrchr($realname,'.');
$size = $size / 1024;
$ext  = strtolower($ext);
$time = time();
$uploaded = $time . $ext;
$allow_e = in_array($ext,$allow_ext);
$allow_t = in_array($type,$allow_types);

if(!$allow_e){
$apt->errmsg("عفوا ... لا يسمح بتحميل هذا الامتداد من الملفات");
}elseif(!$allow_t){
$apt->errmsg("عفوا ... لا يسمح بتحميل هذا النوع من الملفات");
}elseif($size > $size_limit){
$apt->errmsg("عفوا ... الملف الذي تحاول رفعه اكبر من الحجم المسموح به<br>الحجم المسموح به هو $size_limit كيلوبايت");
}elseif(is_file("modules/gallery/photos/$uploaded")){
$apt->errmsg("عفوا ... قد تم رفع هذه الصوره من قبل او ان الصوره تحمل اسم صوره موجوده مسبقا");
}else{
if(@is_uploaded_file($file)){
$do = @move_uploaded_file($file,"modules/gallery/photos/$uploaded");}
if($do){
$thefile = "modules/gallery/photos/$uploaded";
if($ext=='.gif'){
$image = ImageCreateFromGIF($thefile);
}elseif($ext=='.png'){
$image = ImageCreateFromPNG($thefile);
}else{
$image = ImageCreateFromJPEG($thefile);
}
$width = imagesx($image) ;
$height = imagesy($image) ;

$new_width = $thumb_width; 
$new_height = ($new_width * $height) / $width ;

if (function_exists('ImagecreateTrueColor'))
{
$thumb = ImageCreateTrueColor($new_width,$new_height);
ImageCopyResampled($thumb,$image,0,0,0,0,$new_width,$new_height,$width,$height);
}
else
{
$thumb = ImageCreate($new_width,$new_height);
ImageCopyResized($thumb,$image,0,0,0,0,$new_width,$new_height,$width,$height);
}
ImageJPEG($thumb, 'modules/gallery/thumb/'.$uploaded);
imagedestroy($image);
$i++;

if($parent_eye == 1){
$allow = 0;
if($member_group == 1){$allow = 1;}
$apt->query("INSERT INTO rafia_gallery_image VALUES ('', '$catno', '$imgtitle', '$imgdesc', '$uploaded', '0', '0','$member_un', '$member_id','$member_ip','$usermail','0','0','$time','$allow');");
$imgid = $apt->insertid();
}else{
$allow = 1;
$apt->query("INSERT INTO rafia_gallery_image VALUES ('', '$catno', '$imgtitle', '$imgdesc', '$uploaded', '0', '0','$member_un', '$member_id','$member_ip','$usermail','0','0','$time','$allow');");
$imgid = $apt->insertid();
}

if($allow == 1){
$apt->query("Update rafia_gallery_cat set gcount=gcount+1 where gid='$catno'");
$url = "mod.php?mod=gallery&modfile=picshow&imgid=$imgid";
$apt->bodymsg("تم إضافة الصوره بنجاح<br>سوف تنتقل الان الى صفحة مشاركتك",$url);
}else{
$url = "mod.php?mod=gallery&modfile=category&cat=$catno";
$apt->bodymsg("تم إضافة الصوره بنجاح<br>سوف يتم الموافقه على مشاركتك قريبا ان شاء الله",$url);
}

}else{
echo "<div align=center><center><table border='0' width='80%' bgcolor='#EBEBEB'>
<tr><td width='100%' align='center'><br><font class=fontablt>عفوا .. حصل خطأ و لم يتم رفع الصوره ... تأكد من التصريح<br>
<center>[ <a href='javascript:history.go(-1);'>الرجوع للخلف</a> ]</center>
<br></td></tr></table></center></div>";
}
}

}else{
$cat 	= $apt->setid("cat");

if($cat <= 0){
$apt->errmsg("عفوا ... لا يوجد تصنيف يحمل الرقم [$cat]<br>يبدوا انك اخطأت في الرابط او انك لم تقم باختيار تصنيف صحيح");
}elseif(!$apt->dbnumquery("rafia_gallery_cat","gid='$cat'")){
$apt->errmsg("عفوا ... لا يوجد تصنيف يحمل الرقم [$cat]<br>يبدوا انك اخطأت في الرابط او انك لم تقم باختيار تصنيف صحيح");
}

$index_middle = $apt->table_cat_module("<a href=mod.php?mod=$mod_name>&nbsp;$mod_title</a>");
eval("\$index_middle .= \" " . $apt->getmodtemplate ( 'gallery_header', $modid,$mod_theme ) . "\";");

$size_limit = intval($size_limit*1024);
if($size_limit >= 1048576){
        $size_limit = round($size_limit / 1048576 * 100) / 100 . " ميجابايت ";
}
elseif($size_limit >= 1024){
        $size_limit = round($size_limit / 1024 * 100) / 100 . " كيلوبايت ";
}
$page_icon ='';


$index_middle .= "
<SCRIPT language=JavaScript>
        function checkForm() {
                formErrors = false;
                if (document.uploader.cfile.value.length < 5) {
                        formErrors = 'عفوا ... انت لم تقم بتحديد صوره ليتم اضافتها للمعرض';
                }
                if (document.uploader.imgdesc.value.length < 10) {
                        formErrors = 'عفوا ... انت لم تقم بكتابة وصـف للصوره (اقل عدد من الحروف هو 10)';
                }
                if (document.uploader.imgtitle.value.length < 3) {
                        formErrors = 'عفوا ... انت لم تقم بكتابة عنوان للصوره (اقل عدد من الحروف هو 5)';
                }
";
if($member_group == 3){
$star = '*';
$index_middle .= "
                if (document.uploader.usermail.value.length < 8) {
                        formErrors = 'عفوا ... انت لم تقم بكتابة ايميلك بشكل صحيح';
                }
";
}else{$star = ' ';}
$index_middle .= "
                if (formErrors) {
                        alert(formErrors);
                        return false;
                }
        }
</SCRIPT>";

eval("\$index_middle .= \" " . $apt->getmodtemplate ( 'gallery_add_image', $modid,$mod_theme ) . "\";");

eval("\$index_middle .= \" " . $apt->getmodtemplate ( 'gallery_footer', $modid,$mod_theme ) . "\";");

echo $index_middle;
}
}
?>